javax.xml.bind

## Class TypeConstraintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.bind.TypeConstraintException

All Implemented Interfaces:
  java.io.Serializable

    public class TypeConstraintException
    extends java.lang.RuntimeException

This exception indicates that a violation of a dynamically checked type constraint was detected.

This exception can be thrown by the generated setter methods of the schema derived Java content classes. However, since fail-fast validation is an optional feature for JAXB Providers to support, not all setter methods will throw this exception when a type constraint is violated.

If this exception is throw while invoking a fail-fast setter, the value of the property is guaranteed to remain unchanged, as if the setter were never called.

Since:
  JAXB1.0
See Also:
  `ValidationEvent`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TypeConstraintException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypeConstraintException

    public TypeConstraintException()

Copyright © 2003, 2020, Oracle and/or its affiliates.